/* clib/superplay_protos.h          */
/* Version    : 4.1                 */
/* Date       : 27.11.1994          */
/* Written by : Andreas R. Kleinert */

#ifndef CLIB_SUPERPLAY_PROTOS_H
#define CLIB_SUPERPLAY_PROTOS_H

#ifndef SUPERPLAY_SUPERPLAY_H
#include <superplay/superplay.h>
#endif /* SUPERPLAY_SUPERPLAY_H */

APTR SPL_AllocHandle(       APTR future);
void SPL_FreeHandle(        APTR handle);
void SPL_StopReplay(        APTR handle);
void SPL_FreeResources(     APTR handle);
ULONG SPL_SuperPlay(        APTR handle,
                            char *filename);
ULONG SPL_SuperWrite(       APTR handle, APTR source_handle);
ULONG SPL_InitHandleAsDOS(  APTR handle,
                            APTR future);
ULONG SPL_InitHandleAsClip( APTR handle,
                            APTR future);
ULONG SPL_SetWriteType(     APTR handle,
                            ULONG akt_type,
                            APTR future);
char * SPL_GetErrorString(  ULONG error_code);
ULONG SPL_SetWriteName(     APTR handle,
                            UBYTE *writename,
                            APTR future);
ULONG SPL_FileInfoRequest(  APTR handle,
                            struct Window *window,
                            ULONG future);
ULONG SPL_SetReqIOWindow(   APTR handle,
                            struct Window *window);
ULONG SPL_ReadPlayData(     APTR  handle,
                            UBYTE *filename);
ULONG SPL_ContinueReplay(   APTR handle);
ULONG SPL_FastForward(      APTR handle);
ULONG SPL_FastBackward(     APTR handle);
/* added with V2 */
ULONG SPL_GetSampleList(    APTR handle, struct SPO_SampleList **samplelist);
ULONG SPL_SetSampleList(    APTR handle, struct SPO_SampleList *samplelist);
/* no functions added in V3 */
/* added with V4 */
ULONG SPL_GetFileType(      APTR handle, UBYTE *filename, ULONG *filetype);

#endif /* CLIB_SUPERPLAY_PROTOS_H */
